#version 320

precision highp float;

layout(binding=0) uniform BlockFragment {
	vec4 pParam;
};

layout(location = 0, binding = 0) uniform sampler2D Sampler0;

in vec2 texCoord;

layout(location = 0) out vec4 pColor;

void main()
{
	vec2 p = texCoord.xy;

//	p = p * pParam.xy + vec2(0.5, 0.5);
	p = p * vec2(320.0, 240.0) + vec2(0.5, 0.5);

	vec2 i = floor(p);
	vec2 f = p - i;
	//f = f * f * ( -2.0 * f + vec2(3.0, 3.0));
	f = f * f * f * (f * (f * 6.0 - vec2(15.0, 15.0)) + vec2(10.0, 10.0));
	p = i + f;

//	p = (p - vec2(0.5, 0.5)) / pParam.xy;
	p = (p - vec2(0.5, 0.5)) / vec2(320.0, 240.0);

	// final sum and weight normalization
	pColor = vec4(texture(Sampler0, p));
}
