#version 320

// Bilinear Vertex Shader
// Ported by Hyllian

precision highp float;

layout(binding=0) uniform BlockVertex {
	vec4 vParam1;
};

layout(location = 0) in vec4 VertexCoord;
layout(location = 1) in vec2 TextureCoord;
layout(location = 1) in vec2 Color;

out vec2 texCoord;
out vec4 t1;

void main()
{
    gl_Position = vec4(VertexCoord.xy, 0.0, 1.0);
	
	float dx = 1.0 / vParam1.x;
	float dy = 1.0 / vParam1.y;
	
	texCoord = TextureCoord;
	t1 = vec4(dx, 0.0, 0.0, dy);
}
